% ============================================================
%
% This file is a part of the EARS project
% Copyright (c) INRIA 2015
%
% Contributor (s) : Quentin, Pelorson, Fabien Badeig
% Contacts :
% perception-naolab@inria.fr
% 
% This project is headed by Perception research team at INRIA.
%
% ============================================================
addpath('../MatlabInterface/');

frecord = 50;
prevts = 0;
prevtms = 0;
res=[];
while(frecord >= 0)
    [ts ,tms, nbSple, nbChnl, freq, soundData] = getSoundBuffer();
    if (ts == prevts) && (tms == prevtms)
        continue;
    end
    prevts=ts;
    prevtms=tms;
    res=[res,soundData];  
    frecord=frecord-1;
end
audiowrite('NaoSound.wav',res',48000);
clear res;
close all;